<?

include '../config.php';
include '../func.php';
head();
$id = abs(intval($_GET['id']));
if(isset($_GET['stat']))
{

	$onpage = 10;
	$allpage = ceil($all/$onpage);
	$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
	if($this_page < 1 || $this_page > $allpage)$this_page = 1;
	$start = $this_page*$onpage - $onpage;
	$result = mysql_query("SELECT * FROM sms_stat ORDER BY `id` DESC limit ".$start.",".$onpage."");
	while($info = mysql_fetch_assoc($result)){
		$login = mysql_result(mysql_query("SELECT `name` FROM `profile` WHERE `id` = '".$info['user']."'"),'name');
		echo $login.' / '.$info['cash'].' монет / '.$info['phone'].' / '.date('d/m/Y H:i',$info['time']).'<br/>';
	}

echo '<br/><div class="input"><b>Страницы:</b> ';
navigation($allpage,"sms.php?stat&p={p}",1,1);
foot();
exit();
}

if(isset($_GET['numbers']))
{
	echo link1;
	if(isset($_GET['del']))
	{
		mysql_query("DELETE FROM `sms_numbers` WHERE `id` = '".$id."'");
	}
	if(isset($_GET['edit']))
	{
		if(!empty($id))
		{
			$info = mysql_fetch_array(mysql_query("SELECT * FROM `sms_numbers` WHERE `id` = '".$id."'"));
			if(!empty($info['num']))
			{
				if(isset($_POST['but']))
				{
					$num = num($_POST['num']);
					$cash = num($_POST['cash']);	
					if(!empty($num))
					{
						if(!empty($cash))
						{
							mysql_query("UPDATE `sms_numbers` SET `num` = '".$num."', `cash` = '".$cash."' WHERE `id` = '".$id."'");
							echo 'Данные обвновлены<br />';
							echo '<a href="sms.php">В админку</a><br />';
							foot();
							exit();
						}
					}
				}
				echo '<FORM METHOD=POST ACTION="">
					Номер:<br /><INPUT TYPE="text" NAME="num" VALUE="'.$info['num'].'"><br />
					В рублях:<br /><INPUT TYPE="text" NAME="cash" VALUE="'.$info['cash'].'"><br />
					<INPUT TYPE="submit" NAME="but">
				</FORM>';
				echo '<a href="sms.php">В админку</a><br />';
				foot();
				exit();
			}
		}
	}
	if(isset($_GET['add']))
	{
		if(isset($_POST['but']))
		{
			$num = num($_POST['num']);
			$cash = num($_POST['cash']);
			if(!empty($num))
			{
				if(!empty($cash))
				{
					mysql_query("INSERT INTO `sms_numbers` VALUES('','".$num."','".$cash."')");
					echo 'Номер добавлен<br />';
					echo '<a href="sms.php">В админку</a><br />';
					foot();
					exit();
				}
			}
		}
		echo 'Добавляйте номера согласно <a href="http://www.a1agregator.ru/main/abonent">этой таблицы</a><br />';
		echo 'Внимание! Некоторые номера могут не быть подключены на вашем аккаунте, уточняйте это в поддержке А1-АГРЕГАТОР<br />
		Внимание! Номера только для России</a><br />';
		echo '<FORM METHOD=POST ACTION="">
			Номер:<br /><INPUT TYPE="text" NAME="num"><br />
			В рублях:<br /><INPUT TYPE="text" NAME="cash"><br />
			<INPUT TYPE="submit" NAME="but">
		</FORM>';
		echo '<a href="sms.php">В админку</a><br />';
		foot();
		exit();
	}
	echo '<a href="sms.php?numbers&add">Добавить СМС Номер</a><br />';
	$query = mysql_query("SELECT * FROM `sms_numbers`");
	if(mysql_num_rows($query)=='0')
	{
		echo 'Номеров нет<br />';
		echo '<a href="sms.php">В админку</a><br />';
		foot();
		exit();
	}
	while($info = mysql_fetch_array($query))
	{
		echo 'Номер <b>'.$info['num'].'</b>, получаем <b>'.$info['cash'].'</b> рублей ('.($info['cash']*3).' монет). [<a href="sms.php?numbers&edit&id='.$info['id'].'">Изменить</a>]
		[<a href="sms.php?numbers&del&id='.$info['id'].'">Удалить</a>]<br /> ';
	}
	echo '* Получаем - значит столько рублей мы дадим юзеру если он отправит на этот номер смс<br />';
	echo '<a href="sms.php">В админку</a><br />';
	echo div;
	navig();
	foot();
	exit();
}
echo link2;
echo 'Управление смс-биллингом<br/>

<a href="sms.php?numbers">Управление смс-номерами</a><br/>
<a href="sms.php?stat">Статистика по приходам</a><br/>';
echo div;

navig();
foot();

?>